The ActivityStateRemovedEvent is fired when a remote session removes one or elements from its state within the Activity.

### Hierarchy

- ActivityStateRemovedEvent

### Implements

- IActivityEvent

## Index

### Properties

- activity
- key
- local
- name
- oldValue
- sessionId
- user
- EVENT_NAME

## Properties

### activity

activity: Activity

Implementation of IActivityEvent.activity

The Activity that this event relates to.

### key

key: string

The key of the state that was removed.

### local

local: boolean

Implementation of IActivityEvent.local

Will be true if this event is from the local user / session; false otherwise.

### name

name: string = ActivityStateRemovedEvent.EVENT_NAME

Implementation of IActivityEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### oldValue

oldValue: any

The state that was modified.

### sessionId

sessionId: string

Implementation of IActivityEvent.sessionId

The session id of the session that originated this event.

### user

user: DomainUser

Implementation of IActivityEvent.user

The username of the user originated this event.

### StaticEVENT_NAME

EVENT_NAME: string = "state_removed"

The event name that all instances of this class will use.